.main-container {
  border: 2px solid var(--borderBig);
  background: var(--forTransDiv);
  border-radius: 0.5rem;
  box-sizing: border-box;
}

.main-container .notif-container {
  color: var(--text);
  box-sizing: border-box;
}

.notif-container .notif-wrapper {
  padding: 1rem;
}

.notif-container .notif-wrapper .notif-header {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  text-indent: 0.7rem;
}

.notif-container .notif-wrapper .notif-header .head-upper {
  margin: 0 auto;
}

.notif-container .notif-wrapper .notif-header .head-upper .head-upper-bg {
  background-color: var(--firstImage);
  width: 40px;
  height: 40px;
  position: relative;
  overflow: hidden;
  border: 0.7rem solid var(--firstImage);
  border-radius: 50%;
  margin: 0 auto;
}

.notif-container .notif-wrapper .notif-header .head-upper .head-upper-bg img {
  position: absolute;
  top: -9999px;
  bottom: -9999px;
  left: -9999px;
  right: -9999px;
  margin: auto;
  max-height: 100%;
}

.notif-container .notif-wrapper .notif-header .head-bottom {
  /* margin-left: 4rem;
  display: flex; */
  align-items: center;
  margin: 0 auto;
}

.notif-container .notif-wrapper .notif-header .head-bottom p {
  margin-top: 0;
}

.notif-container .notif-wrapper .notif-header .head-bottom p:first-child {
  font-size: 0.8rem;
  /* flex: 0; */
}

.notif-container .notif-wrapper .notif-header .head-bottom p:last-child {
  margin-left: auto;
  text-align: center;
  font-weight: 600;
  font-size: small;
  /* margin-right: 1rem; */
}

/* sub box */
.notif-container .notif-wrapper .sub-container {
  background: var(--background);
  border: 2px solid var(--border);
  border-radius: 0.5rem;
}

.notif-container .notif-wrapper .sub-container .sub-wrapper {
  padding: 1rem;
}

.notif-container .sub-container .sub-wrapper .sub-header {
  display: block;
  text-align: center;
}

.notif-container .sub-container .sub-wrapper .sub-header div {
  margin: 0 auto;
}

.notif-container .sub-container .sub-wrapper .sub-header div .img-sub-notif {
  background-color: var(--secondImage);
  width: 30px;
  height: 30px;
  position: relative;
  overflow: hidden;
  border: 0.7rem solid var(--secondImage);
  border-radius: 50%;
}

.notif-container .sub-container .sub-wrapper .sub-header .img-sub-notif img {
  position: absolute;
  top: -9999px;
  bottom: -9999px;
  left: -9999px;
  right: -9999px;
  margin: auto;
  max-height: 100%;
}

.notif-container .notif-wrapper .sub-container .sub-wrapper .sub-header h4 {
  color: var(--text);
  font-weight: 600;
  font-size: 1rem;
  text-indent: 1rem;
}

.notif-container
  .notif-wrapper
  .sub-container
  .sub-wrapper
  .sub-header
  .target {
  /* padding: 0 0.5rem 0 1rem; */
  display: flex;
  align-items: center;
}

.notif-container
  .notif-wrapper
  .sub-container
  .sub-wrapper
  .sub-header
  .target
  p:first-child {
  font-size: 0.8rem;
  font-weight: 600;
}
.notif-container
  .notif-wrapper
  .sub-container
  .sub-wrapper
  .sub-header
  .target
  p:last-child {
  font-weight: 600;
  color: var(--btnTrans);
  background-color: var(--secondImage);
  border-radius: 0.8rem;
  font-size: small;
  padding: 0.5rem;
  text-align: center;
  margin-left: auto;
}

.notif-container .sub-container .sub-wrapper .sub-content p {
  color: var(--text);
  font-weight: 600;
  font-size: 0.8rem;
  margin-right: 10px;
}

.notification-pagination {
  margin-top: 2rem;
  display: flex;
  justify-content: center;
  box-sizing: border-box;
  padding: 0.5rem 0;
  border-radius: 0.5rem;
  width: 90%;
  margin: 1rem auto;
}

@media only screen and (min-width: 600px) {
  .notif-container .notif-wrapper .notif-header .head-upper {
    display: flex;
    margin: 0 auto;
    text-indent: 1rem;
    padding-bottom: 2rem;
  }

  .notif-container .notif-wrapper .notif-header .head-bottom {
    display: flex;
    align-self: normal;
    margin: 0;
    padding: 0 0.5rem;
  }

  .notif-container .notif-wrapper .sub-container .sub-wrapper .sub-header {
    display: flex;
  }

  .notif-container .sub-container .sub-wrapper .sub-header div {
    display: flex;
    text-align: justify;
    margin-left: 0;
  }

  .notif-container .sub-container .sub-wrapper .sub-content p {
    text-indent: 3.5rem;
  }

  .notif-container
    .notif-wrapper
    .sub-container
    .sub-wrapper
    .sub-header
    .target {
    margin-left: auto;
    column-gap: 1rem;
    margin-right: 0;
  }

  .notif-container .notif-wrapper .notif-header .head-bottom p:last-child {
    margin-right: 1rem;
  }
}

@media only screen and (min-width: 800px) {
  .notif-container .sub-container .sub-wrapper .sub-header {
    flex-flow: column;
  }

  .notif-container .sub-container .sub-wrapper .sub-header div {
    margin: 0 auto;
  }
  .notif-container
    .notif-wrapper
    .sub-container
    .sub-wrapper
    .sub-header
    .target {
    margin-left: 0;
  }

  .notif-container-load .sub-container-load .sub-wrapper-load .sub-header-load {
    flex-flow: column;
    margin: 1rem auto 0;
  }
}

@media only screen and (min-width: 1000px) {
  .notif-container .sub-container .sub-wrapper .sub-header div {
    margin: 0;
  }

  .notif-container .notif-wrapper .notif-header .head-bottom p:first-child {
    margin-left: 3.5rem;
  }

  .notif-container
    .notif-wrapper
    .sub-container
    .sub-wrapper
    .sub-header
    .target
    p:first-child {
    text-indent: 4rem;
  }

  .notif-container .notif-wrapper .sub-container .sub-wrapper .sub-header h4 {
    margin-bottom: 0;
  }

  .notif-container
    .notif-wrapper
    .sub-container
    .sub-wrapper
    .sub-header
    .target
    p:first-child,
  p:last-child {
    margin-top: 0;
  }

  .notif-container .sub-container .sub-wrapper .sub-content p {
    margin-left: 4rem;
  }

  .notif-container .notif-wrapper .notif-header .head-upper {
    padding-bottom: 0;
  }

  .notif-container .notif-wrapper .notif-header .head-bottom p:last-child {
    margin-right: 0;
  }

  .notif-container .notif-wrapper .notif-header {
    display: block;
    margin: 0 auto;
  }

  .notif-container .notif-wrapper .sub-container .sub-wrapper .sub-header {
    display: flex;
  }
}

@media only screen and (min-width: 1250px) {
  .notif-container .notif-wrapper .notif-header {
    display: flex;
    flex-direction: unset;
  }

  .notif-container .notif-wrapper {
    padding: 1rem 2rem;
  }
  .notif-container .notif-wrapper .notif-header .head-upper {
    margin: 0;
    transform: translateY(11px);
    padding-bottom: 0;
  }

  .notif-container .notif-wrapper .sub-container .sub-wrapper .sub-header {
    display: flex;
    flex-direction: unset;
  }
  .notif-container
    .notif-wrapper
    .sub-container
    .sub-wrapper
    .sub-header
    .target {
    margin-left: auto;
    align-items: flex-end;
  }

  .notif-container
    .notif-wrapper
    .sub-container
    .sub-wrapper
    .sub-header
    .target
    p:first-child {
    align-items: center;
  }

  .notif-container
    .notif-wrapper
    .sub-container
    .sub-wrapper
    .sub-header
    .target
    p:last-child {
    margin-bottom: 5px;
    align-items: flex-end;
  }

  .notif-container .notif-wrapper .notif-header .head-bottom {
    margin-left: auto;
    column-gap: 0.5rem;
    align-items: flex-end;
  }

  .notif-container .notif-wrapper .sub-container {
    margin-left: 4.5rem;
  }

  .notif-container .sub-container .sub-wrapper .sub-content p {
    padding-top: 2.5rem;
  }
}

/* LOAD */
.main-container .notif-container-load {
  box-sizing: border-box;
}

.notif-container-load .notif-wrapper-load {
  padding: 1rem;
}

.notif-container-load .notif-wrapper-load .notif-header-load {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  text-indent: 0.7rem;
}

.notif-container-load .notif-wrapper-load .notif-header-load .head-upper-load {
  margin: 0 auto;
}

/* target */
.notif-container-load
  .notif-wrapper-load
  .notif-header-load
  .head-upper-load
  .head-upper-bg-load
  .circle1 {
  width: 4rem;
  height: 4rem;
  background-image: linear-gradient(
    var(--colorLazyPrime),
    var(--colorLazyDouble)
  );
  margin: 0 auto;
}

/* target */
.notif-container-load
  .notif-wrapper-load
  .notif-header-load
  .head-upper-load
  .rect1 {
  box-sizing: border-box;
  margin: 1rem auto;
  border-radius: 5px;
  width: 9rem;
  height: 1.5rem;
  background-image: linear-gradient(
    var(--colorLazyPrime),
    var(--colorLazyDouble)
  );
}

.notif-container-load .notif-wrapper-load .notif-header-load .head-bottom-load {
  align-items: center;
  margin: 0 auto;
  margin-bottom: 0.5rem;
}

/* target */
.notif-container-load
  .notif-wrapper-load
  .notif-header-load
  .head-bottom-load
  .rect2 {
  box-sizing: border-box;
  border-radius: 5px;
  margin: 0.5rem auto;
  width: 7rem;
  height: 1.5rem;
  background-image: linear-gradient(
    var(--colorLazyPrime),
    var(--colorLazyDouble)
  );
}

/* target */
.notif-container-load
  .notif-wrapper-load
  .notif-header-load
  .head-bottom-load
  .rect3 {
  box-sizing: border-box;
  border-radius: 5px;
  width: 6rem;
  margin: 0 auto;
  height: 1.5rem;
  background-image: linear-gradient(
    var(--colorLazyPrime),
    var(--colorLazyDouble)
  );
}

/* target */
.notif-container-load
  .sub-container-load
  .sub-wrapper-load
  .sub-header-load
  .img-sub-notif-load
  .circle2 {
  width: 50px;
  height: 50px;
  height: 3rem;
  background-image: linear-gradient(
    var(--colorLazyPrime),
    var(--colorLazyDouble)
  );
}

/* target */
.notif-container-load
  .sub-container-load
  .sub-wrapper-load
  .sub-header-load
  .img-sub-notif-load
  .rect4 {
  box-sizing: border-box;
  margin: 0.6rem 0.5rem 0;
  border-radius: 5px;
  width: 12rem;
  height: 1.5rem;
  background-image: linear-gradient(
    var(--colorLazyPrime),
    var(--colorLazyDouble)
  );
}

/* target */
.notif-container-load
  .notif-wrapper-load
  .sub-container-load
  .sub-wrapper-load
  .sub-header-load
  .target-load
  .rect5 {
  box-sizing: border-box;
  border-radius: 5px;
  margin: 0.7rem 0;
  width: 5rem;
  height: 1.5rem;
  background-image: linear-gradient(
    var(--colorLazyPrime),
    var(--colorLazyDouble)
  );
}

/* target */
.notif-container-load
  .notif-wrapper-load
  .sub-container-load
  .sub-wrapper-load
  .sub-header-load
  .target-load
  .rect6 {
  box-sizing: border-box;
  border-radius: 5px;
  width: 4rem;
  margin-left: auto;
  margin-right: 0.5rem;
  height: 1.5rem;
  background-image: linear-gradient(
    var(--colorLazyPrime),
    var(--colorLazyDouble)
  );
}

/* target */
.notif-container-load
  .notif-wrapper-load
  .sub-container-load
  .sub-wrapper-load
  .sub-content-load
  .rect7 {
  box-sizing: border-box;
  border-radius: 0.5rem;
  height: 3rem;
  margin-bottom: 0.7rem;
  background-image: linear-gradient(
    var(--colorLazyPrime),
    var(--colorLazyDouble)
  );
}

.notif-container-load
  .notif-wrapper-load
  .notif-header-load
  .head-bottom-load
  div:first-child {
  flex: 1 0 60%;
}

.notif-container-load
  .notif-wrapper-load
  .notif-header-load
  .head-bottom-load
  div:last-child {
  flex: 1 0 33%;
}

/* sub box */
.notif-container-load .notif-wrapper-load .sub-container-load {
  background: var(--background);
  border: 2px solid var(--border);
  border-radius: 0.5rem;
  box-sizing: border-box;
}

.notif-container-load
  .notif-wrapper-load
  .sub-container-load
  .sub-wrapper-load {
  padding: 1rem;
}

.notif-container-load .sub-container-load .sub-wrapper-load .sub-header-load {
  display: block;
  text-align: center;
}

.notif-container-load
  .notif-wrapper-load
  .sub-container-load
  .sub-wrapper-load
  .sub-header-load
  div {
  margin: 0 auto;
}

.notif-container-load
  .notif-wrapper-load
  .sub-container-load
  .sub-wrapper-load
  .sub-header-load
  h4 {
  color: var(--text);
  font-weight: 600;
  font-size: 1rem;
  text-indent: 0.5rem;
}

.notif-container-load
  .notif-wrapper-load
  .sub-container-load
  .sub-wrapper-load
  .sub-header-load
  .target-load {
  display: flex;
  align-items: center;
}

.notif-container-load
  .notif-wrapper-load
  .sub-container-load
  .sub-wrapper-load
  .sub-header-load
  div {
  display: flex;
  justify-content: center;
}

.notif-container-load
  .notif-wrapper-load
  .sub-container-load
  .sub-wrapper-load
  .sub-header-load
  .target-load
  p:first-child {
  font-size: 0.8rem;
  font-weight: 600;
}

.notif-container-load
  .notif-wrapper-load
  .sub-container-load
  .sub-wrapper-load
  .sub-header-load
  .target-load
  p:last-child {
  font-weight: 600;
  color: var(--white);
  background-color: var(--secondImage);
  border-radius: 0.8rem;
  font-size: small;
  padding: 0.5rem;
  text-align: center;
  margin-left: auto;
}

.notification-pagination-load {
  margin-top: 2rem;
  display: flex;
  justify-content: space-evenly;
  box-sizing: border-box;
}

.pagi-load {
  display: flex;
  padding: 0.3rem;
  justify-content: center;
}

.pagi-load .notification-pagination-load {
  width: 1rem;
  margin: 0 1rem;
  background-image: linear-gradient(
    var(--colorLazyPrime),
    var(--colorLazyDouble)
  );
}

@media only screen and (min-width: 600px) {
  .notif-container-load
    .notif-wrapper-load
    .notif-header-load
    .head-upper-load {
    display: flex;
    column-gap: 1rem;
  }

  .notif-container-load
    .notif-wrapper-load
    .sub-container-load
    .sub-wrapper-load
    .sub-content-load
    .rect7 {
    width: 98%;
  }

  .notif-container-load
    .notif-wrapper-load
    .notif-header-load
    .head-bottom-load {
    display: flex;
    margin: 1rem 1rem 0.5rem 1rem;
    align-self: stretch;
  }

  .notif-container-load .sub-container-load .sub-wrapper-load .sub-header-load {
    display: flex;
    margin-bottom: 1rem;
  }

  .notif-container-load
    .notif-wrapper-load
    .sub-container-load
    .sub-wrapper-load
    .sub-header-load
    div {
    margin: 0 auto;
  }

  .notif-container-load
    .notif-wrapper-load
    .sub-container-load
    .sub-wrapper-load
    .sub-header-load
    .target-load {
    /* margin-top: 0.5rem; */
    margin-right: 0;
    margin-left: 0;
  }
}
@media only screen and (min-width: 800px) {
  .notif-container-load
    .notif-wrapper-load
    .notif-header-load
    .head-bottom-load
    p:first-child {
    flex: 1 0 70%;
  }

  .notif-container-load
    .notif-wrapper-load
    .notif-header-load
    .head-bottom-load {
    display: flex;
  }

  .notif-container-load
    .notif-wrapper-load
    .notif-header-load
    .head-bottom-load
    .rect3 {
    margin-right: 0;
  }

  .notif-container-load
    .notif-wrapper-load
    .notif-header-load
    .head-bottom-load
    .rect2 {
    margin-left: 0;
  }

  .notif-container
    .notif-wrapper
    .sub-container
    .sub-wrapper
    .sub-header
    .target
    p:first-child {
    margin-left: 0;
  }

  .notif-container .sub-container .sub-wrapper .sub-content p {
    text-indent: 0;
  }
  .notif-container-load .notif-wrapper-load .sub-container-load {
    margin-bottom: 15px;
  }

  .notif-container-load
    .notif-wrapper-load
    .sub-container-load
    .sub-wrapper-load {
    padding: 0 1.5em;
  }

  .notif-container-load
    .sub-container-load
    .sub-wrapper-load
    .sub-content-load
    p {
    margin-left: 3.5rem;
  }
}

@media only screen and (min-width: 1000px) {
  .notif-container-load
    .notif-wrapper-load
    .notif-header-load
    .head-upper-load {
    margin-left: 0;
    align-items: flex-end;
  }

  .notif-container-load
    .notif-wrapper-load
    .notif-header-load
    .head-bottom-load
    .rect2 {
    margin-left: 4rem;
  }

  .notif-container-load
    .notif-wrapper-load
    .notif-header-load
    .head-bottom-load {
    margin-top: 0;
  }

  .notif-container-load
    .notif-wrapper-load
    .sub-container-load
    .sub-wrapper-load
    .sub-header-load
    div {
    margin-left: 0;
  }

  .notif-container-load
    .notif-wrapper-load
    .sub-container-load
    .sub-wrapper-load
    .sub-header-load
    .target-load
    .rect5 {
    margin-left: 3.7rem;
  }

  .notif-container-load
    .notif-wrapper-load
    .sub-container-load
    .sub-wrapper-load
    .sub-content-load
    .rect7 {
    width: auto;
    margin-left: 3.7rem;
  }
}

@media only screen and (min-width: 1250px) {
  .notif-container-load .notif-wrapper-load .notif-header-load {
    display: flex;
    flex-direction: unset;
    margin-bottom: 0.5rem;
  }

  .notif-container-load
    .notif-wrapper-load
    .notif-header-load
    .head-upper-load {
    margin: 0;
    transform: translateY(11px);
    padding-bottom: 0;
  }

  .notif-container-load
    .notif-wrapper-load
    .notif-header-load
    .head-bottom-load
    .rect2 {
    margin-bottom: 0;
  }

  .notif-container-load
    .notif-wrapper-load
    .sub-container-load
    .sub-wrapper-load
    .sub-header-load
    .target-load
    .rect5 {
    margin: 0;
  }

  .notif-container-load
    .notif-wrapper-load
    .sub-container-load
    .sub-wrapper-load
    .sub-header-load {
    display: flex;
    flex-direction: unset;
  }

  .notif-container-load
    .notif-wrapper-load
    .sub-container-load
    .sub-wrapper-load
    .sub-header-load
    .target-load {
    margin-left: auto;
    align-items: baseline;
    column-gap: 1rem;
    margin-top: 0.5rem;
  }

  .notif-container-load
    .notif-wrapper-load
    .sub-container-load
    .sub-wrapper-load
    .sub-header-load
    .target-load
    p:last-child {
    margin-bottom: 5px;
    align-items: flex-end;
  }

  .notif-container-load
    .notif-wrapper-load
    .notif-header-load
    .head-bottom-load {
    margin-left: auto;
    column-gap: 0.5rem;
    align-items: flex-end;
  }

  .notif-container-load .notif-wrapper-load .sub-container-load {
    margin-left: 5rem;
  }

  .notif-container .sub-container .sub-wrapper .sub-content p {
    padding-top: 0.5rem;
  }
}
